// JavaScript Document
//var debug_mode = true;

var us_countries= new Array("AI", "AG", "AR", "AW", "BS", "BB", "BZ", "BM", "BO", "BR", "CA", "CL", "CO", "CR", "CU", "DM", "DO", "EC", "SV","FK", "GF", "GD", "GP", "GT", "GU", "GY", "HT", "HN", "JM", "MQ", "MX", "MS", "NR", "AN", "NI", "PA", "PY", "PE", "PR","KN", "LC", "PM", "VC", "SR", "TT", "TC", "UM", "UY", "VE", "VG", "VI", "US"); 
var it_currencies = {"AUD":"$","CAD":"$","CNY":"¥","DKK":"kr","EUR": "€","JPY":"¥","MXN":"MXN $","NOK":"kr","CHF":"CHF","GBP":"£","USD":"$"};	
var currency = "USD";
var retina_display = false;

//it_currencies[currency];

function convert_to_retina(image_name){
	var retina = window.devicePixelRatio > 1 ? true : false;
	//retina = false;
	if(retina){
		image_name=image_name.replace(".png", "@2x.png");
	}
	return image_name;
}	

function getImgSize(imgSrc){
	var newImg = new Image();
	newImg.src = imgSrc;
	curHeight = newImg.height;
	curWidth = newImg.width;
	return "background-size: "+curWidth+"px "+curHeight+"px;" ;
}


function init(){
	
	$.each(us_countries, function(index, value){
		
		app_country=app_country.toUpperCase();
		
		if (app_country == value)
		{	
			app_organization ='USA';
			return false; 	 //break
		}
		else
		{
			app_organization ='INT';
		}
	});
	 $("#menu-list").removeClass('hover');
	
	if (window.menu_data === undefined && window.product_details_data === undefined && window.ik_products_menu_data === undefined && window.ik_itunes_products_menu_data === undefined){
		//products_menu_data 
		fetch_products_menu_data();
	}else if(window.products_menu_data === undefined && window.menu_data === undefined && window.ik_products_menu_data === undefined && window.ik_itunes_products_menu_data === undefined){
		//product_details_data
		fetch_products_details_data();
	}else if(window.products_menu_data === undefined && window.product_details_data === undefined && window.ik_products_menu_data === undefined && window.ik_itunes_products_menu_data === undefined){
		//menu_data
		fetch_menu_list_data();
	}else if(window.products_menu_data === undefined && window.product_details_data === undefined && window.menu_data === undefined && window.ik_itunes_products_menu_data === undefined){
		//ik products menu
		fetch_inapp_purchase_items();	
	}else if(window.products_menu_data === undefined && window.product_details_data === undefined && window.menu_data === undefined && window.ik_products_menu_data === undefined ){
		//ik_itunes_products_menu_data
		fetch_app_itunes_items();	
	}
}

function getPrice(skuPar) {
	
		var price = '';
		var currencyPar='USD';
		
		if (app_organization =='INT')
		{
			currencyPar='EUR';
			price = '€ ';
		}
		else
		{
			currencyPar='USD';
			price = '$ ';
		}
		if (internet_connection== true)
		{
			var loadPrice = $.ajax({
			  
			  url: "http://www.ikstore.com/remote_apps_interactions/web_store_prices.php",
			  type: "GET",
			  data: {sku : skuPar, cur : currencyPar},
			  dataType: "jsonp"
			});
			
			loadPrice.done(function(msg) {
				if (msg.price>=0)
			 	{
			 		price = price+msg.price;
			 		$('#divs'+skuPar).text(price);
			 	}
			 	else
			 	{
			 		price = price+ '---';
			 		$('#divs'+skuPar).text(price);
			 	}
			 
			});
			
			loadPrice.fail(function(jqXHR, textStatus) {
			  //alert( "Request failed: " + textStatus );
			  price = price+ '---';
			  $('#divs'+skuPar).text(price);
			});
		}
		else
		{
			price = price+'---';
			$('#divs'+skuPar).text(price);
		}
			
}

function getAppPrice(skuPar) {
	
		var price = '';
		var currencyPar='USD';
		
		if (app_organization =='INT')
		{
			currencyPar='EUR';
			price = '€ ';
		}
		else
		{
			currencyPar='USD';
			price = '$ ';
		}
		if (internet_connection== true)
		{
			var loadPrice = $.ajax({
			  
			  url: "http://www.ikstore.com/remote_apps_interactions/web_store_prices_v2.php",
			  type: "GET",
			  data: {sku : skuPar, cur : currencyPar},
			  dataType: "jsonp"
			});
			
			loadPrice.done(function(msg) {
				if (msg.price>=0)
			 	{
			 		if (msg.price == '0.00')
			 			price = 'FREE';			 		
			 		else
			 			price = price+msg.price;
			 		$('#divs'+skuPar).text(price);
			 	}
			 	else if (msg.price == 'FREE')
			 	{
			 		price = 'FREE';
			 		$('#divs'+skuPar).text(price);
			 	}
			 	else
			 	{
			 		price = price+ '---';
			 		$('#divs'+skuPar).text(price);
			 	}
			 
			});
			
			loadPrice.fail(function(jqXHR, textStatus) {
			  //alert( "Request failed: " + textStatus );
			  price = price+ '---';
			  $('#divs'+skuPar).text(price);
			});
		}
		else
		{
			price = price+'---';
			$('#divs'+skuPar).text(price);
		}
			
}

function getiTunesPrice(iTunesid,countryPar,skuPar) {
		var price='';
		if (internet_connection== true)
		{
			var loadPriceit = $.ajax({
			  
			  url: "http://www.ikstore.com/remote_apps_interactions/itunes_prices.php",
			  type: "GET",
			  data: {id : iTunesid, country : countryPar},
			  dataType: "jsonp"
			});
			
			loadPriceit.done(function(msg) {
				var currfind=false;
			 	if (msg.resultCount > 0){
	               var itPrice = msg.results[0].price;
	               var itCurrency = msg.results[0].currency;
	
	               $.each(it_currencies, function(index, value) { 
					   if(itCurrency==index)
					   {
					   		price=value+" ";
					   		currfind=true;
					   }
					});
	               if (currfind ==false)
	               {
	               		price = itCurrency+" ";
	               }
	               if (itPrice=='0.00')
	               { 
	               		price='FREE';
	               }
	               else
	               {
	               		price += itPrice;
	               }
	            }
	            else{
	            	price='$ ---';
	            }
				$('#divs'+skuPar).text(price);
			});
			
			loadPriceit.fail(function(jqXHR, textStatus) {
			 	//alert( "Request failed: " + textStatus );
			 	price='$ ---';
		        $('#divs'+skuPar).text(price);
			 });
		}
		else
		{
			price='$ ---';
		    $('#divs'+skuPar).text(price);
		}
			
}

function fetch_products_details_data(){
	mycount = 0;
	idj = 0;
	
	if(product_details_data.title){
		$(document).attr('title',product_details_data.title);
	}
	
	$.each(product_details_data.items, function(i,item){
		target = item.action;
		if(debug_mode)  target = target.replace("appurl://","./");
		if(debug_mode)  target = target.replace("browser://","http://");
		if(debug_mode)  target = target.replace("browsers://","https://");
		if(debug_mode)  target = target.replace("storeurl://","./");
	
		details_column = "<div style='float:left'>"+item.name+"</div><div id='divs" +item.sku+ "' style='float:right'>$ ---</div><div style='clear: both'></div>";
		details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description+"</div>";
		
		if (typeof item.sku !== "undefined")	
		{
		  	getPrice(item.sku);	
		}	
		cssstr="";
		if(product_details_data.icons_width && product_details_data.icons_height){
			cssstr="background-size: "+product_details_data.icons_height+"px "+product_details_data.icons_height+"px;";
		}
			
		// current_row = "<li style=\"height: 120px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 1% 50%;\"><div style='padding-left: 80px; padding-top: 16px;'>"+item.name+"</div></li>";
		//alert(getImgSize(item.icon));
		current_row = "<li id=\"cdj_"+idj+"\" class=\"ui-btn-inner ui-btn-up-a\" style=\"white-space:normal; min-height: 320px; background-image:url('"+convert_to_retina(item.icon,"cdj_"+idj)+"'); background-repeat:no-repeat; background-position: 14px 14px;"+cssstr+"\"><div style='padding-left: 80px; padding-top:6px;'>"+ details_column +"</div><div style='clear: both'>&nbsp;<br></div><div class='rounded-big-buttons' align='center' style='float: left;' onclick=\"window.location.href='browser://www.ikmultimedia.com/dealers/';\"><br>FIND A<br/>DEALER</div><div class='rounded-big-buttons' align='center' style='float: right;' onclick=\"window.location.href='"+target+"';\"><br>BUY<br/>NOW</div><div style='clear: both'></div></li>";
		$("#menu-list").html($("#menu-list").html() + current_row);
		$('#menu-list').listview('refresh');
		mycount = mycount + $('#cdj_'+idj).height();
		idj++;
	});
	myh = $(window).height() - mycount;
	if(myh>0){
	  	//alert("myh : " + myh + "wh : " + $(window).height() + ", myc :"+mycount);
	  	$("#menu-list").html($("#menu-list").html() + "<li class=\"ui-btn-inner ui-btn-up-a\" style=\"height:"+myh+"px; background-image: none;  border-top: 0 none;\" data-icon=\"false\";><div style='padding-left: 80px; padding-top:6px;'>&nbsp;</div></li>");
	  	$('#menu-list').listview('refresh');
	}
	if(debug_mode){
		foot = "";
		$.each(footer_data.footer, function(i,item){
			if(foot != "") foot += " | ";
			target = item.action;
			target = target.replace("appurl://","./");
			target = target.replace("storeurl://","./");
			foot += "<a href='#' onclick=\"window.location.href='"+target+"';\">"+item.name+"</a>";
		});
		$("#debug-footer").html('<div id="dbg-foot" data-role="footer" style="padding-left: 40px">'+"<a href=\"#\" onclick=\"window.location.href='./home.html';\">Home</a> | "+foot+"</div>");
		//$('#dbg-foot').listview('refresh');
	}
}


function fetch_inapp_purchase_items(){
		mycount = 0;
		idj = 0;
		if(ik_products_menu_data.title){
			$(document).attr('title',ik_products_menu_data.title);
		}
		$.each(ik_products_menu_data.items, function(i,item){
			
			  target = item.action;
			  
			  if(debug_mode)  target = target.replace("appurl://","./");
			  if(debug_mode)  target = target.replace("storeurl://","./");

			  
			  details_column = "<div style='float:left'>"+item.name+"</div><div id='divs" +item.sku+ "' style='float:right'>$ ---</div><div style='clear: both'></div>";
			  details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description+"</div>";
			  
			  if (typeof item.sku !== "undefined")	
			  {
			  		getPrice(item.sku);	
			  }
			  cssstr="";
			  if(ik_products_menu_data.icons_width && ik_products_menu_data.icons_height){
				  cssstr="background-size: "+ik_products_menu_data.icons_height+"px "+ik_products_menu_data.icons_height+"px;";
			  }
			  current_row = "<li id=\"ldj_"+idj+"\" class=\"ui-btn-inner ui-btn-up-a\" style=\"white-space:normal; min-height: 80px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 14px 14px;"+cssstr+"\" onclick=\"window.location.href='"+target+"'\"><div style='padding-left: 80px; padding-top:6px;'>"+ details_column +"</div></li>";
			  	
			  $("#menu-list").html($("#menu-list").html() + current_row);
			  $('#menu-list').listview('refresh');
			  mycount = mycount + $('#ldj_'+idj).height();
			  idj++;
		  });
		  myh = $(window).height() - mycount;
		  if(myh>0 ){
		  	//alert("myh : " + myh + "wh : " + $(window).height() + ", myc :"+mycount);
		  	$("#menu-list").html($("#menu-list").html() + "<li class=\"ui-btn-inner ui-btn-up-a\" style=\"height:"+myh+"px; background-image: none;\" data-icon=\"false\";><div style='padding-left: 80px; padding-top:6px;'>&nbsp;</div></li>");
		  	$('#menu-list').listview('refresh');
		  }
		  //if(false){
		  if(debug_mode){
			  foot = "";
			  $.each(footer_data.footer, function(i,item){
				  if(foot != "") foot += " | ";
				  target = item.action;
				  target = target.replace("appurl://","./");
				  target = target.replace("storeurl://","./");

				  foot += "<a href='#' onclick=\"window.location.href='"+target+"';\">"+item.name+"</a>";
			  });
			  $("#debug-footer").html('<div id="dbg-foot" data-role="footer" style="padding-left: 40px">'+"<a href=\"#\" onclick=\"window.location.href='./home.html';\">Home</a> | "+foot+"</div>");
			  //$('#dbg-foot').listview('refresh');
		  }
	}

function fetch_app_itunes_items(){
		mycount = 0;
		idj = 0;
		if(ik_itunes_products_menu_data.title){
			$(document).attr('title',ik_itunes_products_menu_data.title);
		}
		$.each(ik_itunes_products_menu_data.items, function(i,item){
			  //target = item.action;
			  
			  target = encodeURI(item.action);
			  /*if (app_organization =='INT')
			  {
			  	target = 'url://target.georiot.com/Proxy.ashx?grid=7043&GR_URL='+encodeURI(item.action);
			  }
			  else
			  {
			  	target = 'url://click.linksynergy.com/fs-bin/stat?id=GlBmhw*w4aE&offerid=146261&type=3&subid=0&tmpid=1826&RD_PARM1='+encodeURI(encodeURI(item.action+'&partnerId=30'));
			  }*/
			  if(debug_mode)  target = target.replace("appurl://","http://");
			  if(debug_mode)  target = target.replace("storeurl://","./");
			  
			  details_column = "<div style='float:left; width: 140px'>"+item.name+"</div><div id='divs" +item.sku+ "' style='float:right'>$ ---</div><div style='clear: both'></div>";
			  details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description+"</div>";
			  
			  /*if (typeof item.itunesid !== "undefined" && typeof item.sku !== "undefined")	
			  {				  
			  		getiTunesPrice(item.itunesid,app_country,item.sku);
			  }	*/
			  if (typeof item.sku !== "undefined")	
			  {
			  	getAppPrice(item.sku);	
			  }	

			  //cssstr="";
			  //if(ik_itunes_products_menu_data.icons_width && ik_itunes_products_menu_data.icons_height){
				  cssstr="background-size: 70px 70px";
			  //}
			   //alert(getImgSize(item.icon));
			  // current_row = "<li style=\"height: 120px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 1% 50%;\"><div style='padding-left: 80px; padding-top: 16px;'>"+item.name+"</div></li>";
			  //////current_row = "<li style=\"min-height: 120px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 1% 50%;\"> <a href='#'  onclick=\"window.location.href='"+target+"'\"><div style='padding-left: 65px; padding-top: 16px;'>"+ details_column +"</div></a></li>";
			  current_row = "<li class=\"ui-btn-inner ui-btn-up-a\" style=\"white-space:normal; min-height: 80px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 14px 14px;"+cssstr+"\" onclick=\"window.location.href='"+target+"'\" id=\"idj_"+idj+"\"><div style='padding-left: 80px; padding-top:6px;'>"+ details_column +"</div></li>";
			  $("#menu-list").html($("#menu-list").html() + current_row);
			  $("#menu-list").removeClass('hover');

			  $('#menu-list').listview('refresh');
			  mycount = mycount + $('#idj_'+idj).height();
			  idj++;
		  });
		  myh = $(window).height() - mycount;
		  if(myh>0){
		  	//alert("myh : " + myh + "wh : " + $(window).height() + ", myc :"+mycount);
		  	$("#menu-list").html($("#menu-list").html() + "<li class=\"ui-btn-inner ui-btn-up-a\" style=\"height:"+myh+"px; background-image: none;\" data-icon=\"false\";><div style='padding-left: 80px; padding-top:6px;'>&nbsp;</div></li>");
		  	$('#menu-list').listview('refresh');
		  }
		  if(debug_mode){
			  foot = "";
			  $.each(footer_data.footer, function(i,item){
				  if(foot != "") foot += " | ";
				  target = item.action;
				  target = target.replace("appurl://","./");
				  target = target.replace("storeurl://","./");
				  foot += "<a href='#' onclick=\"window.location.href='"+target+"';\">"+item.name+"</a>";
			  });
			  $("#debug-footer").html('<div id="dbg-foot" data-role="footer" style="padding-left: 40px">'+"<a href=\"#\" onclick=\"window.location.href='./home.html';\">Home</a> | "+foot+"</div>");
			  //$('#dbg-foot').listview('refresh');
		  }
	}
	
	
function fetch_menu_list_data(){
		mycount = 0;
		zid = 0;
		current_html_content='';
		if(menu_data.title){
			$(document).attr('title',menu_data.title);
		}
		restore_row="";
    	$.each(menu_data.items, function(i,item){
			//restore_row="";
			target = item.action;
			if(debug_mode)  target = target.replace("appurl://","./");
			if(debug_mode)	target = target.replace("appevent://helpmenu/","./"); 
			if(debug_mode)	target = target.replace("storeurl://","./");
			icon_mode="";
			if(item.hide_arrow){
				icon_mode="data-icon=\"false\"";
			}
			cssstr="background-size: 58px 66px";
			//alert(getImgSize(item.icon));
			current_row = "<li id=\"zid_"+zid+"\" style=\"height: 74px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 14px 50%;"+cssstr+"\" "+icon_mode+"><a href='#' onclick=\"window.location.href='"+target+"';\"><div style='padding-left: 65px; padding-top: 16px;  margin-bottom:0px'>"+item.name+"</div></a></li>";

			tmp_display = true;
			if(menu_data.hide_if_all_purchased){
				tmp_display = false;
				$.each(app.shopcatalog, function(i,appitem){
					if(appitem.category_id==item.contained_category && (!appitem.purchased)){
				//PAOLO contained_category
						tmp_display = true;	
					}
				});
			}
			if(item.contained_category=="restore_in_app" && menu_data.restore_button_enabled){
				restore_row="<li id=\"zid_"+zid+"\" style=\"height: 74px; background-image:url('"+convert_to_retina(item.icon)+"'); background-repeat:no-repeat; background-position: 14px 50%;"+cssstr+"\" "+icon_mode+"><a href='#' onclick=\"window.location.href='"+target+"';\"><div style='padding-left: 65px; padding-top: 16px;  margin-bottom:0px'>"+item.name+"</div></a></li>";
				//alert(restore_row);	
			}
			if(tmp_display){
				//$("#menu-list").html($("#menu-list").html() + current_row);
				//$('#menu-list').listview('refresh');
				current_html_content+=current_row;
				mycount = mycount + 70;
				zid++;
			}
			
		});
		if(zid==0 && (!tmp_display)){
			//alert("All Items Are installed");	
			$("#main-content").html("<div style='color:#FFFFFF; padding-left: 80px; white-space:nowrap'><br/><br/><br/><br/><br/><br/><br/><br/><strong>All Items are installed</strong></div>");
		}else{
			// restore_in_app
			// 
			
			$("#menu-list").html(restore_row+current_html_content);
			$('#menu-list').listview('refresh');
		}
		myh = $(window).height() - mycount;
		if(myh>0){
			//alert("myh : " + myh);
		  $("#menu-list").html($("#menu-list").html() + "<li class=\"ui-btn-inner ui-btn-up-a\" data-theme=\"a\" style=\"margin-left: 1px; border-left: 0px; border-right:0px; border-bottom:0px; background-image:url(''); height:"+myh+"px; background-image: none; background-repeat:no-repeat; background-position: 14px 50%;\" data-icon=\"false\"><div style='padding-left: 0px; padding-top: 6px;'>&nbsp;</div></li>");
			$('#menu-list').listview('refresh');
		}
		//if(false){
		if(debug_mode){
			foot = "";
			$.each(footer_data.footer, function(i,item){
				if(foot != "") foot += " | ";
				target = item.action;
				target = target.replace("appurl://","./");
				target = target.replace("storeurl://","./");
				foot += "<a href='#' onclick=\"window.location.href='"+target+"';\">"+item.name+"</a>";
			});
			$("#debug-footer").html('<div id="dbg-foot" data-role="footer" style="padding-left: 40px">'+"<a href=\"#\" onclick=\"window.location.href='./home.html';\">Home</a> | "+foot+"</div>");
			//$('#dbg-foot').listview('refresh');
		}
}

function fetch_products_menu_data(){
	mycount = 0;
	idj = 0;
	details_top="";
	tmp_menu_list="";
	if(products_menu_data.title){
		$(document).attr('title',products_menu_data.title);
	}
	if(app.show_restore_inapp){
			cssstr = "";
			if(app.restore_inapp_icon_width && app.restore_inapp_icon_height){
				cssstr = "background-size: "+app.restore_inapp_icon_width+"px "+app.restore_inapp_icon_height+"px;";	
			}

			details_top = "<li class=\"ui-btn-inner ui-btn-up-a\" data-theme=\"a\"  style=\"white-space:normal; min-height: 120px; background-image:url('./IK/IMAGES/"+convert_to_retina(app.restore_inapp_icon)+"'); background-repeat:no-repeat; background-position: 16px 14px;"+cssstr+"\" onclick=\"window.location.href='appevent:///restoreinapp'\"><div style='padding-left: 90px; padding-top:6px;'><div style='padding-top: 6px;'>Restore Purchases</div></div></li>";
	}
	//AAA $("#menu-list").html($("#menu-list").html() + details_top);
	if(products_menu_data.category_name){
		$.each(app.shopcatalog, function(i,item){
			if(item.category_id==products_menu_data.category_name){
				if(!item.purchased){
					  target = item.action;
					  if(debug_mode)  target = target.replace("appurl://","./");
					  if(debug_mode)  target = target.replace("storeurl://","./");
				  	  cssstr = "";
					  if(app.icons_width && app.icons_height){
						  cssstr = "background-size: "+app.icons_width+"px "+app.icons_height+"px;";	
					  }
					  myprice="---";
					  if(item.price != ""){
						  //myprice=it_currencies[currency]+item.price;
							myprice=item.price;
					  }
					  if(item.title2 && item.image2 && item.description2 ){
						 cssstr = "background-size: 76px 100px;";
						details_column = "<div id=\"abgr_"+idj+"\" style=\"min-height: 120px; background-image:url('./IK/IMAGES/"+convert_to_retina(item.image)+"'); background-repeat:no-repeat; background-position: 0px 6px;"+cssstr+"\">";  
						details_column += "<div style='padding-left: 90px; padding-top:6px;'>";
					  	details_column += "<div style='float:left'>"+item.title+"</div><div style='float:right'>"+myprice+"</div><div style='clear: both'></div>";
					  	details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description+"</div>";
						details_column += "</div>";
						details_column += "</div>";
						details_column += "<div style='clear: both'></div>";
						details_column += "<div id=\"bbgr_"+idj+"\" style=\"min-height: 120px; background-image:url('./IK/IMAGES/"+convert_to_retina(item.image2)+"'); background-repeat:no-repeat; background-position: 0px 6px;"+cssstr+"\">";
						details_column += "<div style='padding-left: 90px; padding-top:6px;'>";
					  	details_column += "<div style='clear: both;'></div>";
						details_column += "<div style='float:left'>"+item.title2+"</div><div style='float:right'>&nbsp;</div><div style='clear: both'></div>";
						details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description2+"</div>";
						details_column += "</div>";
						details_column += "</div>";
						current_row = "<li id=\"vdj_"+idj+"\" class=\"ui-btn-inner ui-btn-up-a\" data-theme=\"a\" style=\"white-space:normal; min-height: 240px\" onclick=\"window.location.href='"+target+"'\">"+details_column+"</li>";
					  }else{
					  	details_column = "<div style='float:left'>"+item.title+"</div><div style='float:right'>"+myprice+"</div><div style='clear: both'></div>";
					  	details_column += "<div style='padding-top: 6px; font-weight: normal; color: #CCCCCC;'>"+item.description+"</div>";
					  	current_row = "<li id=\"vdj_"+idj+"\" class=\"ui-btn-inner ui-btn-up-a\" data-theme=\"a\"  style=\"white-space:normal; min-height: 120px; background-image:url('./IK/IMAGES/"+convert_to_retina(item.image)+"'); background-repeat:no-repeat; background-position: 16px 14px;"+cssstr+"\" onclick=\"window.location.href='"+target+"'\"><div style='padding-left: 90px; padding-top:6px;'>"+ details_column +"</div></li>";
					  }
					  //AAA $("#menu-list").html($("#menu-list").html() + current_row);
					  //AAA $('#menu-list').listview('refresh');
					  tmp_menu_list+=current_row; 
					  mycount = mycount + $('#vdj_'+idj).height();
			  		  idj++;
				}
			}
		  });
		  destination_el = "menu-list";
		  if(idj==0 && app.show_restore_inapp){
		  		details_top="<div style='color:#FFFFFF; padding-left: 80px; white-space:nowrap'><br/><br/><br/><br/><br/><br/><br/><br/><strong>All Items are installed</strong></div>";
				destination_el='main-content';
		  }
		  
		  $("#"+destination_el).html(details_top + tmp_menu_list);
		  if(idj>0 ){
		  	$('#'+destination_el).listview('refresh');
		  }else{
				mycount =   $('#'+destination_el).height() ;
				mycount = mycount - 60;
		  }
		  
		  myh = $(window).height() - mycount;
		  //alert("myh : " + myh + "wh : " + $(window).height() + ", myc :"+mycount);
		  if(myh>0 && 436>$(window).height()){
		  	//alert("myh : " + myh + "wh : " + $(window).height() + ", myc :"+mycount);
			if(idj>0 ){
		  		$("#"+destination_el).html($("#"+destination_el).html() + "<li class=\"ui-btn-inner ui-btn-up-a\" style=\"height:"+myh+"px; background-image: none;\" data-icon=\"false\";><div style='padding-left: 80px; padding-top:6px;'>&nbsp;</div></li>");
		  		$("#"+destination_el).listview('refresh');
		  	}else{
				$("#"+destination_el).html($("#"+destination_el).html() + "<div style=\"height:"+myh+"px;\">&nbsp;</div>"); 	
			}
		  }
		  if(debug_mode){
			  foot = "";
			  $.each(footer_data.footer, function(i,item){
				  if(foot != "") foot += " | ";
				  target = item.action;
				  target = target.replace("appurl://","./");
				  target = target.replace("storeurl://","./");
				  foot += "<a href='#' onclick=\"window.location.href='"+target+"';\">"+item.name+"</a>";
			  });
			  $("#debug-footer").html('<div id="dbg-foot" data-role="footer" style="padding-left: 40px">'+"<a href=\"#\" onclick=\"window.location.href='./home.html';\">Home</a> | "+foot+"</div>");
			  //$('#dbg-foot').listview('refresh');
		  }
	}
}

/*
function highdpi_init() {
	if(jQuery('.replace-2x').css('font-size') == "1px") {
		var els = jQuery("img.replace-2x").get();
		for(var i = 0; i < els.length; i++) {
			var src = els[i].src
			src = src.replace(".png", "@2x.png");
			els[i].src = src;
		}
	}
}
jQuery(document).ready(function() {
	//highdpi_init();
});
*/

jQuery(document).ready(function() {
	//if(window.devicePixelRatio > 1){
		retina_display = true;
	//}
});