// JavaScript Document
var debug_mode = false;
var internet_connection = true;
var app_country = 'US';
var app_organization ='USA';
var app_platform = 'google';

var app = {
	bundle_id: "com.ikmultimediaus.android.ezvoice",
	version: "1.0.0",
	icons_width: "70",
	icons_height: "70",
	show_restore_inapp: false,
	restore_inapp_icon: "restore_inapp_icon.png",
	restore_inapp_icon_width: "58",
	restore_inapp_icon_height: "63",
	shopcatalog:[
		{
			title: "All Effects Bundle",
			description: "8 High Quality Vocal Effects:<br>- Tune<br>- Morph<br>- Choir<br>- EQ<br>- Filter<br>- Level<br>- Chorus<br>- Delay<br>&nbsp;",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "allfxbndl",
			image: "ezvoice_allfx_icon.png",
            twincodes: "tune,morph,choir,eq,filter,level,chorus,delay"
        },
		{
			title: "Tune",
			description: "A powerful Pitch Correction tool with an easy to use interface to fix intonation errors on the fly.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "tune",
			image: "ezvoice_tune_icon.png"
        },
        {
			title: "Morph",
			description: "An inspiring morphing tool to model your voice in a realistic way or take it beyond the limits.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "morph",
			image: "ezvoice_morph_icon.png"
        },
        {
			title: "Choir",
			description: "Up to three distinct voices allow you to enrich and sustain your vocal performances.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "choir",
			image: "ezvoice_choir_icon.png"
        },
        {
			title: "EQ",
			description: "Three Band EQ that you can use to shape your vocal tone with great precision.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "eq",
			image: "ezvoice_eq_icon.png"
        },
        {
			title: "Filter",
			description: "It applies a timbre filtering on your voice to create radio and vintage effects on your vocals.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "filter",
			image: "ezvoice_filter_icon.png"
        },
        {
			title: "Level",
			description: "Control and punch to make your voice clear and bigger.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "level",
			image: "ezvoice_level_icon.png"
        },
        {
			title: "Chorus",
			description: "Add shimmer, moving modulation to your voice, enhancing presence over the entire stereo spectrum.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "chorus",
			image: "ezvoice_chorus_icon.png"
        },

        /*{
			title: "Reverb",
			description: "Reverb description here.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "reverb",
			image: "shop_reverb.png"
        },*/
        {
			title: "Delay",
			description: "The perfect effect to add space and repetitions to enhance your vocal parts.",
			purchased: false,
			category_id: "all",
			action: "", 
			price: "",
			code: "delay",
			image: "ezvoice_delay_icon.png"
        }
        
	]
};