var app_data_products_prices = new Array();
var app_data_products_purchased = new Array();
var app_data_products_need_prices = new Array();

function product_price(productid)
{    
    var count = app_data_products_prices.length;
    
    for (u = 0; u < count; u+=2 )
    {
        if ( app_data_products_prices[u+0] == productid )
        {
            return app_data_products_prices[u+1];
        }
    }
    
    return '';
}

function product_purchased(productid)
{    
    var count = app_data_products_purchased.length;
    
    for (var u = 0; u < count; u+=1 )
    {
        if ( app_data_products_purchased[u] == productid )
        {
            return true;
        }
    }
    
    return false;
}

function is_in_twin_codes(code,codes)
{
    var array = codes.split(',');
    
    for (var i = 0; i < array.length; i++)
    {
        if (array[i] == code)
        {
            return true;
        }
    }
    
    return false;
}

function purchased_in_twincodes(code)
{
    for (var i = 0; i < app.shopcatalog.length; i++)
    {
        if ('twincodes' in app.shopcatalog[i])
        {
            if (is_in_twin_codes(code,app.shopcatalog[i].twincodes))
            {
                if (product_purchased(app.shopcatalog[i].code))
                {
                    return true;
                }
            }
        }
    }
    
    return false;
}




function app_data_products_need_prices_as_items()
{
    if (app_data_products_need_prices.length > 0)
    {
        var collect = "";
        
        for (var i = 0; i < app_data_products_need_prices.length; i++)
        {
            collect = collect + app_data_products_need_prices[i];
            
            if (i != (app_data_products_need_prices.length-1))
            {
                collect = collect + ",";
            }
        }
        
        return collect;
    }
    
    return "";
}


function purchased_as_all_bundle(code)
{
    if (code == 'allfunctionalities')
    {
        if (product_purchased('processorsbundle'))
        {
            return true;
        }
        
        if (product_purchased('waveformeditor'))
        {
            return true;
        }
    }
    
    return false;
}

function populate_page() 
{ 
    app_data_products_need_prices = new Array();
        
    {   
        for (var i = 0; i < app.shopcatalog.length; i++)
        {
            var code = app.shopcatalog[i].code;
        
            app.shopcatalog[i].purchased = product_purchased( code );
            
            if (app.shopcatalog[i].purchased == false)
            {
                app.shopcatalog[i].purchased = purchased_in_twincodes( code );
            }
            
            if (app.shopcatalog[i].purchased == false)
            {
                app.shopcatalog[i].purchased = purchased_as_all_bundle( code );
            }
            
            if (app.shopcatalog[i].purchased)
            {
                app.shopcatalog[i].action = 'nullbuyevent://' + code;
            }
            else if (app.shopcatalog[i].needsregistration)
            {
                app.shopcatalog[i].action = 'registeredbuyevent://' + code;
            }
            else 
            {
                app.shopcatalog[i].price = product_price( code );
                
                if (app.shopcatalog[i].price == '')
                {
                    app_data_products_need_prices[ app_data_products_need_prices.length ] = code;
                    
                    app.shopcatalog[i].action = 'nullbuyevent://' + code;
                }
                else 
                {
                    app.shopcatalog[i].action = 'buyevent://' + code;
                }
            }
            
        }
    
        init();
        
		if (app_data_products_need_prices.length > 0)
		{
			GlobalMenu.getPrices(app_data_products_need_prices_as_items());
    	}
    }
}; 

